Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.outbound
Class ChainingRouter

    java.lang.Object
      org.mule.routing.outbound.AbstractOutboundRouter
          org.mule.routing.outbound.FilteringOutboundRouter
              org.mule.routing.outbound.ChainingRouter

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, MessageProcessor, MessageRouter, Matchable, MatchableMessageProcessor, MatchableMessageRouter, OutboundRouter, RouterStatisticsRecorder, TransformingMatchable

    public class ChainingRouter

extends FilteringOutboundRouter
implements MessageRouter

`ChainingRouter` is used to pass a Mule event through multiple targets using the result of the first as the input for the second.

Field Summary

Fields inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`expressionManager`

Fields inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`enableCorrelation, logger, magicProperties, muleContext, replyTo, resultsHandler, routes, transactionConfig`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ChainingRouter()`

Method Summary
`void` | `initialise()` Method used to perform any initialisation work.
`protected void` | `processIntermediaryResult(MuleMessage localResult, MuleMessage intermediaryResult)` Process intermediary result of invocation.
`MuleEvent` | `route(MuleEvent event)`

Methods inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`addRoute, getFilter, getRoute, getTransformers, isMatch, isTransformBeforeMatch, isUseTemplates, setFilter, setTransformers, setUseTemplates`

Methods inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`dispose, getEnableCorrelation, getMuleContext, getReplyTo, getResultsHandler, getRoute, getRouterStatistics, getRoutes, getTransactionConfig, isDynamicRoutes, process, propagateMagicProperties, removeRoute, sendRequest, sendRequestEvent, setEnableCorrelation, setEnableCorrelationAsString, setMessageProcessors, setMessageProperties, setMuleContext, setReplyTo, setResultsHandler, setRouterStatistics, setRoutes, setTransactionConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.processor.MessageRouter
`addRoute, removeRoute`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Constructor Detail

### ChainingRouter

    public ChainingRouter()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `FilteringOutboundRouter`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### route

    public MuleEvent route(MuleEvent event)
                    throws RoutingException

  Overrides:
    `route` in class `FilteringOutboundRouter`
  Throws:
    `RoutingException`

### processIntermediaryResult

    protected void processIntermediaryResult(MuleMessage localResult,
                                             MuleMessage intermediaryResult)

  Process intermediary result of invocation. The method will be invoked only if both local and intermediary results are available (not null).

  Overriding methods must call `super(localResult, intermediaryResult)`, unless they are modifying the correlation workflow (if you know what that means, you know what you are doing and when to do it).

  Default implementation propagates the following properties:
  - correlationId
  - correlationSequence
  - correlationGroupSize
  - replyTo

  Parameters:
    `localResult` - result of the last endpoint invocation
    `intermediaryResult` - the message travelling across the targets

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.